Bug 731160 - xmlrpc-c-client-1.16.24-1206.1840.el5_7.3 has an incorrect dependency on libcurl
Summary: xmlrpc-c-client-1.16.24-1206.1840.el5_7.3 has an incorrect dependency on libcurl
Keywords:
Status: CLOSED DUPLICATE of bug 729795
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xmlrpc-c
Version: 5.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Rob Crittenden
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-16 19:33 UTC by Nalin Dahyabhai
Modified: 2011-08-17 14:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 14:16:27 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 2011-08-16 19:33:24 UTC
Description of problem:
I'm attempting to build against xmlrpc-c-1.16.24-1206.1840.el5_7.3, but my build fails due to an unresolved dependency that the xmlrpc-c-client package has on libcurl.  In EL 5, it looks like libcurl was still part of the "curl" binary package, so that Requires: probably needs to be changed.

Version-Release number of selected component (if applicable):
xmlrpc-c-1.16.24-1206.1840.el5_7.3

How reproducible:
Always

Steps to Reproduce:
1. curl -O https://fedorahosted.org/released/certmonger/certmonger-0.46.tar.gz
2. rpmbuild -ts certmonger-0.46.tar.gz
3. kick off a mock build using a repository that includes this xmlrpc-c package for populating the buildroot
  
Actual results:
Build fails, root.log shows:
Error: Missing Dependency: libcurl >= 7.15.5-9.el5_7.4 is needed by package xmlrpc-c-client++-1.16.24-1206.1840.el5_7.3.s390x (build)


Note You need to log in before you can comment on or make changes to this bug.